/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */

package com.jcg.uniquedigitscounter;

import java.util.*;

/**
 *
 * @author omozegieaziegbe
 */
public class UniqueDigitsCounter {

    public static int countUniqueDigits(int number) {
        // Take the absolute value of the number
        number = Math.abs(number);
        
        Set<Integer> digits = new HashSet<>();
        
        while (number > 0) {
            int digit = number % 10;
            digits.add(digit);
            number /= 10;
        }
        
        return digits.size();
    }

    public static void main(String[] args) {
        int number = 229987;
        int uniqueDigitsCount = countUniqueDigits(number);
        System.out.println("Number of unique digits: " + uniqueDigitsCount);
    }
}
