/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */
package com.jcg.bitsmanipulationuniquedigitscounter;

/**
 *
 * @author omozegieaziegbe
 */
public class BitsManipulationUniqueDigitsCounter {

    public static int countUniqueDigits(int number) {
        
        // Take the absolute value of the number
        number = Math.abs(number);
        
        int seen = 0;

        while (number > 0) {
            int digit = number % 10;
            seen |= (1 << digit);
            number /= 10;
        }

        int count = 0;
        while (seen > 0) {
            if ((seen & 1) == 1) {
                count++;
            }
            seen >>= 1;
        }

        return count;
    }

    public static void main(String[] args) {
        int number = 627765;
        int uniqueDigitsCount = countUniqueDigits(number);
        System.out.println("Number of unique digits: " + uniqueDigitsCount);
    }
}
