/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */
package com.jcg.streamsuniquedigitscounter;

/**
 *
 * @author omozegieaziegbe
 */
public class StreamsUniqueDigitsCounter {

    public static int countUniqueDigits(int number) {
        // Take the absolute value of the number
        number = Math.abs(number);
        
        long digits = String.valueOf(number).chars().distinct().count();
        return (int) digits;
        // Using Java 8+
        // return Math.toIntExact(digits);
    }

    public static void main(String[] args) {
        int number = 62776;
        int uniqueDigitsCount = countUniqueDigits(number);
        System.out.println("Number of unique digits: " + uniqueDigitsCount);
    }
}
